package com.oo.seex.netlibrary.net.response;

/**
 * 旧接口的服务器返回值转换
 */

public class OldResponseImpl<T> extends IResponse {

	private int code;
	private String msg;
	private T data;

	public boolean isSuccess() {
		return code == 10000;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public int getResultCode(){
		return code;
	}

	public String getResultMssage(){
		return msg;
	}

	public  T getResultData(){
		return data;
	}
}
